# Uses of Interface
org.opensaml.saml.saml2.metadata.AuthzService

Packages that use AuthzService
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AuthzService in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AuthzService
Modifier and Type
Method
Description
`List<AuthzService>`
PDPDescriptor.`getAuthzServices()`
Gets an list of authz services for this service.

## Uses of AuthzService in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AuthzService
Modifier and Type
Class
Description
`class`
`AuthzServiceImpl`
Concrete implmentation of `AuthzService`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AuthzService
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AuthzService>`
PDPDescriptorImpl.`authzServices`
AuthzService children.
Methods in org.opensaml.saml.saml2.metadata.impl that return AuthzService
Modifier and Type
Method
Description
`AuthzService`
AuthzServiceBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AuthzService`
AuthzServiceBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AuthzService
Modifier and Type
Method
Description
`List<AuthzService>`
PDPDescriptorImpl.`getAuthzServices()`
Gets an list of authz services for this service.